Subject: Re: GS/OS-friendly ProDOS 8 quit code?
From: [email-masked] (Randy Shackelford)
Date: 28 Feb 1995 13:25:59 -0600
Newsgroups: comp.sys.apple2

Greg Berigan ([email-masked]) wrote:
: Is there a ProDOS 8 quit code replacement (like A.h.h.h.System)
: available that is GS/OS friendly?  By that I mean can you quit out of
: the quit code and go back to GS/OS without having to restart the system?
: I use a lot of ProDOS 8 applications and going back and forth between
: GS/OS and ProDOS 8 gets tiresome.

I fired up ORCA/M and whipped up a little assembly program that takes you back
to the finder when you run it from BASIC. You could turn it into a SYS program
and run it to go back. It's the same code I added to my homemade version of 
ECP8 I wrote eons ago:

         keep  t
try      start
         jsr   $bf00
         dc    h'65',a'qparm'
qparm    dc    h'04ee',a'addr',h'000000'
addr     ds    2
         end

This does an extended quit call with a null pathname, causing ProDOS 8 to quit
back to the previous app, which is the finder in my case.
-- 
Randy Shackelford                                 I was internet
[email-masked]                               when internet wasn't cool